#ifndef _FRAMEWORK_H
#define _FRAMEWORK_H
 
#include "windowHandler.h" // Include the Whandler Basecode
#include "objModel.h"
#include "vector.h"

class Vector;

float rotatorP;
float rotatorV;

float dist;
float zoomTo;

Uint32 lastFrame;
Uint32 currFrame;
Uint32 dt;


Vector dir;
Vector up;

float matQ[4][4];

Vector M;
Vector p1;
Vector p2;
Vector rotAxis;
float rotAngle;
Quaternion rotQ;
Quaternion rotQlast;

bool mouse1Down;

WindowHandler wHandler;  // Create an instance of the whandler basecode class
Model* obj;


#endif /* _FRAMEWORK_H */
