/*! 
    \projectile.h
    \brief a projectile, that is been shooted by a weapon
*/

#ifndef _TEST_BULLET_H
#define _TEST_BULLET_H

#include "projectile.h"

class Vector;
class Weapon;

class TestBullet : public Projectile 
{
  friend class World;

 public:
  TestBullet (Weapon* weapon);
  virtual ~TestBullet ();

  virtual void hit (WorldEntity* weapon, Vector* loc);
  virtual void destroy ();

  virtual void tick (float time);
  virtual void draw ();
  
};

#endif /* _TEST_BULLET_H */
