/*! 
    \file proto_class.h
    \brief Definition of the proto class template, used quickly start work
*/


#ifndef _NULL_PARENT_H
#define _NULL_PARENT_H


#include "p_node.h"


class NullParent : public PNode {

 public:
  static NullParent* getInstance ();
  virtual ~NullParent ();


  virtual void update (float dt);
  
 private:
  NullParent ();
  NullParent (const Vector& absCoordinate);
  static NullParent* singletonRef;

};

#endif /* _NULL_PARENT_H */
